// c++.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <vector>
#include <iostream>
#include <fstream>
#include "IDScanParser.h"
#include <msclr/marshal.h>

using namespace msclr::interop;
using namespace std;
int main()
{
	std::vector<wchar_t> scanned_text;
	std::ifstream dlfile("..\\testdl.txt");
	if (dlfile.is_open())
	{
		while (!dlfile.eof())
		{
			wchar_t ch = static_cast<wchar_t>(dlfile.get());
			scanned_text.push_back(ch);
		}
		scanned_text.push_back(0);
		dlfile.close();
	}

	auto lic = Nautilus::IDScanParser::ParseText(&scanned_text[0]);
	if (lic != nullptr)
	{
		marshal_context ^ context = gcnew marshal_context();
		const char* address = context->marshal_as<const char*>(lic->Address1);
		std::wcout << address << std::endl;
		delete context;
	}
    return 0;
}

