import urllib.request
import base64
import json
import collections

with open("..\\cs\\testdl.txt") as f:
    scannedText = f.read()
encoded = base64.b64encode(bytes(scannedText, "utf-8"))
req = urllib.request.Request("http://localhost:9999", encoded)
with urllib.request.urlopen(req) as response:
    result = response.headers["Result"]
    if result == "OK":
        body = response.read()
        lic = json.loads(body.decode("utf-8"))
        sortedLic = collections.OrderedDict(sorted(lic.items()))
        for key, value in sortedLic.items():
            print(key + " : " + value)
    elif result == "NOK":
        print("Text cannot be parsed")
    elif result == "Exception":
        print(response.heades["Exception"])
    else :
        print("Unsupported result code")
